TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.clientProfiles.get("id");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.clientProfiles.get("id");
}
main();
package example
import (
context "context"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
mgmt.ClientProfiles.Get(
context.TODO(),
"id",
)
}
# Ensure you're logged in: auth0 login
auth0 api get "client-profiles/id"using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.ClientProfiles.GetAsync(
"id"
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.clientProfiles().get("id");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->clientProfiles->get(
'id',
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.client_profiles.get(
id="id",
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.client_profiles.get(id: "id")
curl --request GET \
--url https://{tenantDomain}/api/v2/client-profiles/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"client_configuration": {
"refresh_token": {
"token_lifetime": {
"default_value": 15778800
},
"idle_token_lifetime": {
"default_value": 15778800
},
"leeway": {
"default_value": 1
}
},
"organization_usage": {
"default_value": "deny"
},
"organization_require_behavior": {
"default_value": "no_prompt"
},
"organization_discovery_methods": {
"default_value": [
"email"
]
},
"require_proof_of_possession": {
"default_value": true
}
},
"apply_policy": {
"external_metadata_type": "cimd",
"external_metadata_created_by": "client"
},
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Get a client profile
Retrieve a single client profile by its identifier. Returns 404 if no profile with the given ID exists for the tenant.
GET
https://{tenantDomain}/api/v2
/
client-profiles
/
{id}
TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.clientProfiles.get("id");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.clientProfiles.get("id");
}
main();
package example
import (
context "context"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
mgmt.ClientProfiles.Get(
context.TODO(),
"id",
)
}
# Ensure you're logged in: auth0 login
auth0 api get "client-profiles/id"using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.ClientProfiles.GetAsync(
"id"
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.clientProfiles().get("id");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->clientProfiles->get(
'id',
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.client_profiles.get(
id="id",
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.client_profiles.get(id: "id")
curl --request GET \
--url https://{tenantDomain}/api/v2/client-profiles/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"client_configuration": {
"refresh_token": {
"token_lifetime": {
"default_value": 15778800
},
"idle_token_lifetime": {
"default_value": 15778800
},
"leeway": {
"default_value": 1
}
},
"organization_usage": {
"default_value": "deny"
},
"organization_require_behavior": {
"default_value": "no_prompt"
},
"organization_discovery_methods": {
"default_value": [
"email"
]
},
"require_proof_of_possession": {
"default_value": true
}
},
"apply_policy": {
"external_metadata_type": "cimd",
"external_metadata_created_by": "client"
},
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the client profile. Client Profile identifier.
Response
Record for existing client profile.
Client Profile identifier.
Display name of the client profile.
Required string length:
1 - 128Pattern:
^[^\u0000]*$Runtime policy applied to matched clients. Omitted fields fall back to each client's own setting.
Show child attributes
Show child attributes
Runtime matching rules that determine which clients this profile governs.
Show child attributes
Show child attributes
Optional description of the client profile.
Maximum string length:
256Pattern:
^[^\u0000]*$Timestamp of creation.
Timestamp of last update.